### Method

# FwupdPlugin Firmware get_id

since: 1.6.0

#### Declaration [src]

    const gchar*
    fu_firmware_get_id (
      FuFirmware* self
    )

#### Description [src]

Gets the image ID, typically set at construction.

Available since: 1.6.0

#### Return value

Type: `const gchar*`

Image ID, e.g. `config`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.